# osgtexture2D.cpp File Reference

`#include <osg/Node>`
`#include <osg/Geometry>`
`#include <osg/Notify>`
`#include <osg/MatrixTransform>`
`#include <osg/Texture2D>`
`#include <osg/DrawPixels>`
`#include <osg/PolygonOffset>`
`#include <osg/Geode>`
`#include <osgDB/Registry>`
`#include <osgDB/ReadFile>`
`#include <osgText/Text>`
`#include <osgProducer/Viewer>`

Include dependency graph for osgtexture2D.cpp:

## Functions

osg::Node * | createFilterWall (osg::BoundingBox &bb, const std::string &filename)
osg::Node * | createAnisotripicWall (osg::BoundingBox &bb, const std::string &filename)
osg::Node * | createWrapWall (osg::BoundingBox &bb, const std::string &filename)
osg::Node * | createSubloadWall (osg::BoundingBox &bb)
osg::Node * | createModel ()
int | main (int argc, char **argv)

## Function Documentation

osg::Node* createAnisotripicWall | ( | osg::BoundingBox & | bb,
|  | const std::string & | filename
| ) |

osg::Node* createFilterWall | ( | osg::BoundingBox & | bb,
|  | const std::string & | filename
| ) |

osg::Node* createModel | ( |  | ) |

osg::Node* createSubloadWall | ( | osg::BoundingBox & | bb | ) |

osg::Node* createWrapWall | ( | osg::BoundingBox & | bb,
|  | const std::string & | filename
| ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |